'use strict';

function prependObjectKeys(obj, char) {
  var mapToValues = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : false;

  return Object.keys(obj).reduce(function (acc, key) {
    if (key !== '__typename') {
      acc['' + char + key] = mapToValues ? obj[key] : key;
    }
    return acc;
  }, {});
}
module.exports = prependObjectKeys;